"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpModule = void 0;
const http_controller_1 = require("../../http/nest/http.controller");
class HttpModule {
    static forRoot(client) {
        return {
            module: HttpModule,
            providers: [
                {
                    provide: 'SOCKET_CLIENT',
                    useValue: client,
                }
            ],
            controllers: [
                http_controller_1.HttpController,
            ],
        };
    }
}
exports.HttpModule = HttpModule;
