"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnumUtil = void 0;
class EnumUtil {
    static toObject(target) {
        const copy = Object.assign({}, target);
        Object
            .values(target)
            .forEach(value => typeof value === 'number' && delete copy[value]);
        return copy;
    }
    static keys(target) {
        return Object.keys(EnumUtil.toObject(target));
    }
    static values(target) {
        return [...new Set(Object.values(EnumUtil.toObject(target)))];
    }
}
exports.EnumUtil = EnumUtil;
